Technorati Rank WordPress Plugin Version 2 veröffentlicht!

Kurz nach dem ersten Technorati Rank Plugin habe ich den Ausgabeinhalt neu gestaltet, um es zu schaffen CSS angetrieben (unten ist ein Screenshot, mit dem Sie in der Seitenleiste meiner Website interagieren können):

Technorati Rank WordPress Plugin Version 2

Dieser war etwas schwieriger zu produzieren, aber die Ausgabe ist viel schöner. Zuerst habe ich das genutzt, was ich gelernt habe Bitbox um jede der Ausgabeschaltflächen auf dem Bild in Illustrator zu erstellen.

Der nächste Schritt war die Verwendung von Stilen, um tatsächlich jemanden von einem zu bauen Imagemap außer dass es tatsächlich keine Karte! Es ist eigentlich ziemlich cool. Sie können den gesamten Div-Hintergrund festlegen und dann jeden der "Hotspots" mit absoluter Positionierung und CSS erstellen. Zeigen Sie das Ausgabe-CSS an.

Ich habe auch einen Link zu Technoratis neuem hinzugefügt WTF Seite und die RSS-Adresse der Site. Ich hoffe du magst es! Ich denke, es ist eine enorme Verbesserung gegenüber der ersten Version! Dort ist ein i Link unten rechts, der auch das Plugin bewirbt.

Aktueller Technorati Rank WordPress Plugin Version 2.0.4

23 Kommentare

  1. 1
    • 2
  2. 3

    Ich habe versucht, das neueste und beste zu installieren, indem ich Ihren Anweisungen zum „Buchstaben“ gefolgt bin

    aber ich habe den folgenden Fehler bekommen

    Schwerwiegender Fehler: Nicht vorhandene Klasse: simplexmlelement in /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php in Zeile 64 kann nicht instanziiert werden

    irgendwelche Vorschläge?

    • 4
      • 5

        das wird mich lehren, zuerst zu überprüfen .. anscheinend läuft Lunarpages 4.4.4 von PHP

        Ich schätze, ich muss mir die andere Version ansehen oder mich anstrengen, um zu sehen, ob sie auf 5.0 aktualisiert werden

        • 6

          Ich hoffe sie tun es! Ich hoffe aber auch, dass Ihr Host ein Upgrade durchführt. PHP5 bringt wirklich einige viel bessere Leistungsverbesserungen sowie einige bessere Tools zum Konsumieren von APIs. Ich benutze Jumpline. Auf meiner Homepage finden Sie einen Link in meiner Sponsorenliste. Ich glaube auch, dass Dotster ein gutes VDS-Hosting mit den neuesten und besten hat.

      • 7

        Doug,
        Ich habe das gleiche Problem
        Ich habe meinen Host angerufen und sie sagten, mein Server hat PHP 4 und PHP 5, aber wenn ich eine Datei mit PHP 5 ausführen möchte, muss das Skript die Dateierweiterung .php5 haben.

        Also ... ich habe die Dateierweiterungen geändert und sie verschwinden aus den Plugins in WordPress.

        Irgendwelche Ideen?

  3. 10

    Super Plugin, exzellentes Styling! Danke Doug und tolle Arbeit. Ich wusste noch nie etwas über den ersten, aber das geht in meiner Seitenleiste schnell.

    Es ist WIRKLICH lohnend zu sehen, dass meine Illustrator-Tipps Ihnen beim Erstellen Ihrer Schaltflächen geholfen haben !!!!!

    Danke noch einmal,

    ~ BittBox

    • 11

      Danke, BittBox! Ich glaube, ich habe ein gutes Auge für Stil, aber ich scheine es die meiste Zeit nie richtig zu machen. Es macht den Unterschied, ob Sie Ihre Proben tatsächlich herunterladen und sezieren können. Ich kann diese Ideen jetzt tatsächlich umsetzen. 🙂

      Ich spiele mit einigen Gedanken über den Header und den Hintergrund meines Blogs als nächstes.

  4. 12

    Nun, Doug, es scheint, dass das Plugin der Version 2 mich hasst. Ich erhalte Fehlermeldungen:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    Trotz der Fehlermeldungen wird auch mein Technorati-Rang angezeigt (~ 26.5k: D). Ich kenne mich mit PHP nicht gut genug aus, um zu wissen, warum es über diese eine Datei weint.
    Interessanterweise verwenden wir auf unserem Server SuPHP, sodass alles so läuft wie wir (daher erfordern die chmod-Anforderungen keine weltweit beschreibbaren Dateien mehr und PHP-Skripte werden nicht ausgeführt, wenn chmod beispielsweise zu hoch ist).

    Alle PHP für diese Subdomain laufen als PHP5.

    Irgendwelche Ideen?

    • 13

      Haben Sie ein wp-content / cache-Verzeichnis Xial? Ich dachte, es wäre eine gute Idee, dasselbe Cache-Verzeichnis wie WP-Cache zu verwenden. Im Nachhinein war es vielleicht keine gute Idee! Diese Zeile soll definitiv in die Cache-Datei geschrieben werden.

      • 14

        Das tue ich auf jeden Fall, Doug. Ich habe WP-Cache schon eine ganze Weile ausgeführt. 🙂

        Ich war auch ein wenig neugierig, warum es sich darüber beschweren würde, da ich das notwendige Verzeichnis habe, aber ich vermute, es ist etwas ganz anderes.

      • 15

        Interessante Informationen zum Hinzufügen:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Die Fehler werden weiterhin zurückgegeben.

    • 16

      Ich möchte mich nur mit dem gleichen Fehler einschalten. Auf der Site wird PHP5 ausgeführt und die Schaltfläche wird angezeigt.
      Ich habe versucht, die Zeilen 121-123 auskommentieren, und der Stecker funktioniert einwandfrei. Kann ich es live schalten oder wird das Fehlen dieser Leitungen auf längere Sicht Probleme verursachen?

  5. 17

    Ich erhalte die gleichen Fehler wie oben. Ich dachte auch, es sei mein Cache-Verzeichnis, aber ich habe eines und habe auch sichergestellt, dass die Schreibrechte korrekt sind.
    In der Seitenleiste wird das Plugin (mit Rang) angezeigt, jedoch mit den Fehlern darüber.

    • 18

      Hallo Richard,

      Können Sie überprüfen, ob Sie PHP Version 5+ haben und CURL aktiviert ist? Sie können dies tun, indem Sie eine Seite auf Ihrer Site mit erstellen <?php phpinfo(); ?> auf einer Seite. Dann öffnen Sie diese Seite. Oben auf der Seite befindet sich Ihre PHP-Version, und Sie können nach CURL suchen, um sicherzustellen, dass es aktiviert ist.

      Vielen Dank!
      Doug

      • 19

        Nun, Doug, ich habe meine PHP-Version noch einmal überprüft.
        Ich verwende PHP5 und cURL wird kompiliert (eine meiner üblichen drei Anfragen an meinen Host, damit Dinge in PHP kompiliert werden).

        Alles andere funktioniert einwandfrei, aber ich bin mir nicht ganz sicher, warum dieses Plugin erstickt, es sei denn, es ist die in PHP kompilierte Version von cURL (Wir sind bei 7.15.4 und die neueste Version scheint 7.16.1 zu sein). Ich möchte meinen Host jedoch nicht belästigen, um php5 nur dafür erneut zu kompilieren, wenn ich helfen kann. <: 3

        • 20

          Ich werde dieses Wochenende einen genaueren Blick darauf werfen. Es läuft problemlos auf einigen Websites - es ist also eines von drei Dingen: 3. Cache, 1. cURL oder 2. PHP-Version.

          Ich kann ältere PHP 4-Funktionen verwenden, um das XML abzurufen und zu analysieren, aber es kann es ziemlich verlangsamen - ich werde dieses Wochenende testen. Ich schätze alle Beiträge. "Houston, wir haben ein Problem!".

  6. 21
  7. 22
  8. 23

    Ich habe einige Anfragen erhalten, dass beim Schreiben oder Lesen aus der Cache-Datei Fehler aufgetreten sind. Ich habe tatsächlich ein Problem festgestellt, bei dem ich die Cache-Datei in das Stammverzeichnis verschoben habe. Ich habe Version 2.0.4 so geändert, dass sie in ein Cache-Unterverzeichnis im Verzeichnis des Plugins schreibt.

    Bitte lassen Sie mich wissen, wie es läuft! (Benötigt noch SimpleXML und cURL!)

Was denken Sie?

Diese Seite verwendet Akismet, um Spam zu reduzieren. Erfahren Sie, wie Ihre Kommentardaten verarbeitet werden.